Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Issues with an older version of InDesing... Is there a way to fix it or is it lost for good?

New Here ,
Oct 14, 2021 Oct 14, 2021

Copy link to clipboard

Copied

Hello!

Many years ago I purchased and installed on my Mac the whole Adobe Creative Suite, and among the software there was also InDesign.
We're talking about the CS4 suite, so pretty old.
I use PS and AE on a daily basis even today and never had issues. However, last time I remember I used ID is at least 7 yrs ago, so it's been a long time. Back then it worked perfectly fine.
Today I had the need to use it for a quick fix on a idml file, and after launching ID I got a warning telling me ID is not optimized for MacOS.
In fact, the UI is completely unusable, missing all text and buttons. It won't show me the file if i try to open it and the UI gets glitched if I try to move anything.
(Attaching a screenshot of the "welcome screen")
I checked to see if i could update it, but there are none available.

Is there any way to save my InDesign CS4? I payed a lot of money back then, and the other suite programs work just fine. Honestly, I'm not really keen to the idea of purchasing a monthly plan only for one software I rarely use...

TOPICS
Performance

Views

38

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Oct 14, 2021 Oct 14, 2021

Copy link to clipboard

Copied

What operating system are you running? As you've already noted CS4 is very old (well over 10 years old now).

You can't possible expect it to run on a recent operating system.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 14, 2021 Oct 14, 2021

Copy link to clipboard

Copied

I'm running MacOS Sierra 10.13.6 
But as I mentioned the only software fron the CS having issues is ID. I got the same warning for AE and PS but they work fine to this day.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Oct 14, 2021 Oct 14, 2021

Copy link to clipboard

Copied

Well, someone else might find this worthwhile, but personally, I wouldn't waste my time trying to get this working.

I'm sorry, but it's time to either upgrade or find an alternative.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Oct 14, 2021 Oct 14, 2021

Copy link to clipboard

Copied

Unlike Bob I'm a bit of a dinosaur myself, and I totally understand.

I'm not, however, a Mac person so I'm only guessing at this point, but the kind of issue you describe is often associated with GPU acceleration. If you have a prefernce setting for that (and you can see it), turn it off.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Oct 14, 2021 Oct 14, 2021

Copy link to clipboard

Copied

That is an InDesign preference and I don't think it existed in CS4. I'd be way more responsive to hope if this was a Windows user.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Oct 14, 2021 Oct 14, 2021

Copy link to clipboard

Copied

LATEST

Yes, I know it's an ID pref -- just a shot in the dark.

You know me well enough to know I'll try almost anything to get an old version running.

 

@Neni0D45 there is always the possibility of installing a virtual machine with an older version of the OS, if you can find an installer for that...

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines